#
# spec file for package gap-nq
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-nq
Version:        2.5.3
Release:        lp150.1.2
Summary:        GAP: Nilpotent Quotients of Finitely Presented Groups
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.mathematik.tu-darmstadt.de/~nickel/software/NQ/

#Git-Clone:	git://github.com/gap-system/nq
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/nq-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-devel >= 4.4
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
Requires:       gap-core >= 4.4
Requires:       gap-polycyclic >= 1.0
Suggests:       gap-gapdoc >= 1.3

%description
This package provides access to the ANU nilpotent quotient program
for computing nilpotent factor groups of finitely presented groups.

%prep
%setup -qn nq-%version

%build
%configure --with-gaproot="%gapdir"
make %{?_smp_mflags}

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir"/{aclocal*,autogen*,autom4*,config*,cnf,Makefile*,m4,src}
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 2.5.3
  * No changelog was provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 2.5.2
  * Metadata changes only (homepage URL)
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2.5.1
  * Fix linker error on Unix systems other than Mac OS X
  * Remove GAP function NqBuildManual (use the makedoc.g
  script instead)
  * Add GPL license file to make clear that nq is licensed under the
  GPL (after discussion with Werner Nickel and getting his explicit
  approval)
  * Moved the homepage to GitHub
* Fri May 10 2013 jengelh@inai.de
- Split nq (version 2.4) off the gap RPM package
